<?php

namespace Ensi\CmsClient;

class CmsClientProvider
{
    /** @var string[] */
    public static $apis = [
        '\Ensi\CmsClient\Api\ProductCategoriesApi',
        '\Ensi\CmsClient\Api\MenusApi',
        '\Ensi\CmsClient\Api\BannersApi',
        '\Ensi\CmsClient\Api\ProductGroupsApi',
        '\Ensi\CmsClient\Api\ProductPimCategoriesApi',
        '\Ensi\CmsClient\Api\LandingsApi',
    ];

    /** @var string[] */
    public static $dtos = [
        '\Ensi\CmsClient\Dto\ProductPimCategoryFilterFillableProperties',
        '\Ensi\CmsClient\Dto\SearchOneBannersRequest',
        '\Ensi\CmsClient\Dto\ProductPimCategoryFilter',
        '\Ensi\CmsClient\Dto\SearchProductGroupTypesRequest',
        '\Ensi\CmsClient\Dto\ProductGroupReadonlyProperties',
        '\Ensi\CmsClient\Dto\SearchProductPimCategoriesRequest',
        '\Ensi\CmsClient\Dto\DeleteBannerFileRequest',
        '\Ensi\CmsClient\Dto\ResponseBodyOffsetPagination',
        '\Ensi\CmsClient\Dto\ProductGroupFilter',
        '\Ensi\CmsClient\Dto\LandingForCreate',
        '\Ensi\CmsClient\Dto\ProductPimCategoryIncludes',
        '\Ensi\CmsClient\Dto\BannerTypeReadonlyProperties',
        '\Ensi\CmsClient\Dto\UploadProductGroupFilesResponse',
        '\Ensi\CmsClient\Dto\ProductGroupFillableProperties',
        '\Ensi\CmsClient\Dto\ProductGroupType',
        '\Ensi\CmsClient\Dto\PaginationTypeEnum',
        '\Ensi\CmsClient\Dto\SearchProductGroupsResponseMeta',
        '\Ensi\CmsClient\Dto\ProductGroup',
        '\Ensi\CmsClient\Dto\ProductGroupTypeReadonlyProperties',
        '\Ensi\CmsClient\Dto\BannerFillableProperties',
        '\Ensi\CmsClient\Dto\SearchMenusResponse',
        '\Ensi\CmsClient\Dto\CreateProductGroupsResponse',
        '\Ensi\CmsClient\Dto\ProductGroupFilterFillableProperties',
        '\Ensi\CmsClient\Dto\SearchBannersRequest',
        '\Ensi\CmsClient\Dto\ProductPimCategoryFilterForCreate',
        '\Ensi\CmsClient\Dto\BannerButtonTypeEnum',
        '\Ensi\CmsClient\Dto\SearchBannersResponse',
        '\Ensi\CmsClient\Dto\BannerButtonFillableProperties',
        '\Ensi\CmsClient\Dto\RequestBodyOffsetPagination',
        '\Ensi\CmsClient\Dto\BannerFile',
        '\Ensi\CmsClient\Dto\CreateProductCategoriesResponse',
        '\Ensi\CmsClient\Dto\ProductPimCategory',
        '\Ensi\CmsClient\Dto\ProductCategoryIncludes',
        '\Ensi\CmsClient\Dto\ProductPimCategoryFillableProperties',
        '\Ensi\CmsClient\Dto\ProductGroupProductReadonlyProperties',
        '\Ensi\CmsClient\Dto\SearchLandingsResponse',
        '\Ensi\CmsClient\Dto\BannerButtonLocationEnum',
        '\Ensi\CmsClient\Dto\ErrorResponse',
        '\Ensi\CmsClient\Dto\CreateLandingsResponse',
        '\Ensi\CmsClient\Dto\BannerType',
        '\Ensi\CmsClient\Dto\ProductCategoryForReplace',
        '\Ensi\CmsClient\Dto\ProductPimCategoryFilterReadonlyProperties',
        '\Ensi\CmsClient\Dto\SearchProductGroupsResponse',
        '\Ensi\CmsClient\Dto\Landing',
        '\Ensi\CmsClient\Dto\ProductGroupProductFillableProperties',
        '\Ensi\CmsClient\Dto\SearchBannerTypesResponse',
        '\Ensi\CmsClient\Dto\SearchProductPimCategoriesResponse',
        '\Ensi\CmsClient\Dto\ReplaceProductGroupsResponse',
        '\Ensi\CmsClient\Dto\ResponseBodyPagination',
        '\Ensi\CmsClient\Dto\MenuItem',
        '\Ensi\CmsClient\Dto\ProductGroupTypeEnum',
        '\Ensi\CmsClient\Dto\ListLandingsResponse',
        '\Ensi\CmsClient\Dto\SearchProductGroupsRequest',
        '\Ensi\CmsClient\Dto\ProductPimCategoryForCreate',
        '\Ensi\CmsClient\Dto\ProductGroupTypeFillableProperties',
        '\Ensi\CmsClient\Dto\ModelInterface',
        '\Ensi\CmsClient\Dto\SearchProductCategoriesFilter',
        '\Ensi\CmsClient\Dto\ProductCategoriesTreeResponse',
        '\Ensi\CmsClient\Dto\ProductCategoryReadonlyProperties',
        '\Ensi\CmsClient\Dto\EmptyDataResponse',
        '\Ensi\CmsClient\Dto\CreateProductPimCategoriesResponse',
        '\Ensi\CmsClient\Dto\RequestBodyPagination',
        '\Ensi\CmsClient\Dto\ProductGroupFile',
        '\Ensi\CmsClient\Dto\SearchOneMenusResponse',
        '\Ensi\CmsClient\Dto\MenuFillableProperties',
        '\Ensi\CmsClient\Dto\SearchLandingsRequest',
        '\Ensi\CmsClient\Dto\UpdateMenuTreesResponse',
        '\Ensi\CmsClient\Dto\ProductPimCategoryForReplace',
        '\Ensi\CmsClient\Dto\SearchOneBannersResponse',
        '\Ensi\CmsClient\Dto\MenuTree',
        '\Ensi\CmsClient\Dto\Menu',
        '\Ensi\CmsClient\Dto\ProductCategoriesTreeItem',
        '\Ensi\CmsClient\Dto\SearchOneMenusRequest',
        '\Ensi\CmsClient\Dto\ProductCategoryFillableProperties',
        '\Ensi\CmsClient\Dto\SearchOneProductGroupsResponse',
        '\Ensi\CmsClient\Dto\SearchBannerTypesRequest',
        '\Ensi\CmsClient\Dto\ProductGroupProductForCreate',
        '\Ensi\CmsClient\Dto\BannerForReplace',
        '\Ensi\CmsClient\Dto\BannerForCreate',
        '\Ensi\CmsClient\Dto\BannerButtonReadonlyProperties',
        '\Ensi\CmsClient\Dto\SearchProductCategoriesResponse',
        '\Ensi\CmsClient\Dto\BannerTypeFillableProperties',
        '\Ensi\CmsClient\Dto\CreateBannersResponse',
        '\Ensi\CmsClient\Dto\MassDeleteProductCategoriesRequest',
        '\Ensi\CmsClient\Dto\SearchProductPimCategoriesFilter',
        '\Ensi\CmsClient\Dto\BannerIncludes',
        '\Ensi\CmsClient\Dto\ProductCategory',
        '\Ensi\CmsClient\Dto\UploadBannerFilesResponse',
        '\Ensi\CmsClient\Dto\SearchProductCategoriesRequest',
        '\Ensi\CmsClient\Dto\ProductCategoriesTreeRequest',
        '\Ensi\CmsClient\Dto\SearchMenusRequest',
        '\Ensi\CmsClient\Dto\ProductGroupForReplace',
        '\Ensi\CmsClient\Dto\ReplaceBannersResponse',
        '\Ensi\CmsClient\Dto\MenuReadonlyProperties',
        '\Ensi\CmsClient\Dto\ProductCategoryResponse',
        '\Ensi\CmsClient\Dto\BannerButtonForCreate',
        '\Ensi\CmsClient\Dto\ProductCategoryForCreate',
        '\Ensi\CmsClient\Dto\UpdateMenuTreesRequest',
        '\Ensi\CmsClient\Dto\BannerImageTypeEnum',
        '\Ensi\CmsClient\Dto\LandingWidget',
        '\Ensi\CmsClient\Dto\ProductGroupProduct',
        '\Ensi\CmsClient\Dto\ReplaceProductPimCategoriesResponse',
        '\Ensi\CmsClient\Dto\ProductPimCategoryReadonlyProperties',
        '\Ensi\CmsClient\Dto\ProductGroupFilterReadonlyProperties',
        '\Ensi\CmsClient\Dto\SearchOneProductGroupsRequest',
        '\Ensi\CmsClient\Dto\MenuEnum',
        '\Ensi\CmsClient\Dto\MultipartFileUploadRequest',
        '\Ensi\CmsClient\Dto\ProductGroupForCreate',
        '\Ensi\CmsClient\Dto\File',
        '\Ensi\CmsClient\Dto\ProductCategoriesTreeFilter',
        '\Ensi\CmsClient\Dto\BannerButton',
        '\Ensi\CmsClient\Dto\Error',
        '\Ensi\CmsClient\Dto\InlineObject',
        '\Ensi\CmsClient\Dto\ProductPimCategoryResponse',
        '\Ensi\CmsClient\Dto\Banner',
        '\Ensi\CmsClient\Dto\LandingReadonlyProperties',
        '\Ensi\CmsClient\Dto\RequestBodyCursorPagination',
        '\Ensi\CmsClient\Dto\ResponseBodyCursorPagination',
        '\Ensi\CmsClient\Dto\LandingFillableProperties',
        '\Ensi\CmsClient\Dto\MenuIncludes',
        '\Ensi\CmsClient\Dto\BannerTypeEnum',
        '\Ensi\CmsClient\Dto\ProductGroupIncludes',
        '\Ensi\CmsClient\Dto\SearchProductGroupTypesResponse',
        '\Ensi\CmsClient\Dto\LandingForReplace',
        '\Ensi\CmsClient\Dto\ReplaceLandingsResponse',
        '\Ensi\CmsClient\Dto\BannerReadonlyProperties',
        '\Ensi\CmsClient\Dto\ProductGroupFilterForCreate',
    ];

    /** @var string */
    public static $configuration = '\Ensi\CmsClient\Configuration';
}
